Subject: bug#12881: Assume at least POSIX.1-1988 for fcntl.h

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Nov 2012 05:46:02 +0200

> Date: Sat, 17 Nov 2012 14:17:14 -0800
> From: Paul Eggert <[email-masked]>
> CC: [email-masked]
> 
> I moved the replacement definitions of O_RDWR and
> O_NOCTTY into nt/inc/unistd.h rather than to some other
> spot in term.c.

I wish you'd discuss this first.  O_RDWR doesn't need to be defined
(it is already defined by a Windows system header), and defining
O_NOCTTY in a header included by many sources is wrong, because it
triggers compilation of other non-Windows friendly code elsewhere.

Looks like I invested all that effort in vain, and the Windows build
will be broken anyway.  Sigh.